Subject: Re: [PATCH] make commit message a little more consistent and conforting

From: Andreas Ericsson <[email-masked]>
Date: Fri, 15 Dec 2006 16:32:50 +0100

Shawn Pearce wrote:
> Andreas Ericsson <[email-masked]> wrote:
>> Shawn Pearce wrote:
>>> Nicolas Pitre <[email-masked]> wrote:
>>>> It is nicer to let the user know when a commit succeeded all the time, 
>>>> not only the first time.  Also the commit sha1 is much more useful than 
>>>> the tree sha1 in this case.
>>> I agree the commit sha1 is more useful than the tree sha1, but I'm
>>> not really sure its useful to show the commit sha1 post commit.
>>> If you want to show something the diffstat like what git merge does
>>> is better.
>>>
>> diffstats can be huge though. I'd rather have those only with -v option.
> 
> But they are on by default for pull/merge, and disabled by -n.
> 

Yes, but it makes sense for merges where you generally pull someone 
elses work or one of your topic branches because it gives a general feel 
for the amount of modifications and are a sort of conclusion. Commits 
are a different thing, because you should know what kind of changes 
you've just done. If you don't you have other problems. I for one run 
git diff quite frequently when I'm getting close to a commit to make 
sure I don't get only the changes I want. I imagine others do too, so 
getting a diffstat when issuing the actual commit would just be noisy 
and irritating.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se